v4.0

get

/ec-codelist-svc/rest/v4.0/codelist

List available codelists. You can filter by type and optionally scope results to a study or a group.

Request

Query Parameters
  • codeName. Search codelists by a query (code name or a part of it). Case-Insensitive
    Example:
    AE
  • Type of the codelist. Allowed values are CUSTOM, and SYSTEM. USER and APPLICATION are not supported
    Allowed Values: [ "USER", "CUSTOM", "SYSTEM", "APPLICATION", "DYNAMIC", "DESIGN" ]
  • ID of a CodeList group. When specified, returns codelists of the group (including non-customized SYSTEM default codelists)
    Example:
    B1B8327AFAA6412287106192AB5984EF
  • Mode of the study. Allowed values are active, test and training
    Example:
    DESIGN
  • sortBy. By default list is sorted by name in alphabetical order
    Default Value: codeName:asc
    Example:
    displayCodeName:asc
  • Unique identifier (UUID, 32-character uppercase hexadecimal string)
    Example:
    B1B8327AFAA6412287106192AB5984EF

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Code
Type: object
Show Source
Examples

400 Response

Invalid request URL.
Body ()
Root Schema : CodeListResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top